org.apache.felix.gogo.jline

## Interface SingleServiceTracker.SingleServiceListener

All Known Implementing Classes:
  Activator

Enclosing class:
  SingleServiceTracker<T>

    public static interface SingleServiceTracker.SingleServiceListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `serviceFound()`
`void` `serviceLost()`
`void` `serviceReplaced()`

### Method Detail

#### serviceFound

    void serviceFound()

#### serviceLost

    void serviceLost()

#### serviceReplaced

    void serviceReplaced()